package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_course_homework):
 */
public class StudentCourseHomework {

	/**  */
	private Long id;

	@ApiModelProperty(value = "学生ID",required = false)
	private Long userId;
	
	/**  */
	private Long courseHomeworkId;
	
	/** 作品附件 */
	private String attachments;
	
	/** 评分 */
	private Integer score;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "备注",required = false)
	private String remark;

	@ApiModelProperty(value = "提交状态",required = false)
	private YesOrNoEnum status;

	@ApiModelProperty(value = "是否已经回复",required = false)
	private YesOrNoEnum isReplied;

	public YesOrNoEnum getIsReplied() {
		return isReplied;
	}

	public void setIsReplied(YesOrNoEnum isReplied) {
		this.isReplied = isReplied;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public void setCourseHomeworkId(Long courseHomeworkId){
		this.courseHomeworkId = courseHomeworkId;
	}
	
	public Long getCourseHomeworkId(){
		return this.courseHomeworkId;
	}
			
	public void setAttachments(String attachments){
		this.attachments = attachments;
	}
	
	public String getAttachments(){
		return this.attachments;
	}
			
	public void setScore(Integer score){
		this.score = score;
	}
	
	public Integer getScore(){
		return this.score;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
